{ pkgs, ... }:
let
  user = "bertof";
  systemLibFolder = "/run/current-system/sw/lib/";
  userLibFolder =
    "/nix/var/nix/profiles/per-user/${user}/home-manager/home-path/lib/";
  variables = {
    DSSI_PATH = "$HOME/.dssi:${userLibFolder}/dssi:${systemLibFolder}/dssi";
    LADSPA_PATH =
      "$HOME/.ladspa:${userLibFolder}/ladspa:${systemLibFolder}/ladspa";
    LV2_PATH = "$HOME/.lv2:${userLibFolder}/lv2:${systemLibFolder}/lv2";
    LXVST_PATH = "$HOME/.lxvst:${userLibFolder}/lxvst:${systemLibFolder}/lxvst";
    VST_PATH = "$HOME/.vst:${userLibFolder}/vst:${systemLibFolder}/vst";
    VST3_PATH = "$HOME/.vst3:${userLibFolder}/vst3:${systemLibFolder}/vst3";
  };
in
{
  home.packages = with pkgs.unstable; [
    carla
    rnnoise
    ardour
    zrythm
    breeze-icons
    mixxx

    # Plugins
    artyFX
    autotalent
    boops
    cardinal
    geonkick
    helm
    lsp-plugins
    # noise-repellent
    samplv1
    # speech-denoiser
    # stochas
    # sunvox
    surge
    giada
    surge-XT
    talentedhack
    tunefish
    vocproc
    x42-plugins
    zita-at1
    zynaddsubfx
    zyn-fusion
  ];

  home.sessionVariables = variables;
}
